Subject: bug#1340: M-x shell-command sudo

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 09:08:30 +0200

David Reitter <[email-masked]> writes:

> M-x shell-command RET sudo touch /test RET
>
> will show sudo's password prompt in the echo area which looks like a
> minibuffer prompt.

I'm unable to reproduce this bug in Emacs 27.  Instead I just get:

---
sudo: no tty present and no askpass program specified
---

So I'm guessing this is no longer relevant after ten years, and I'm
closing this bug report.  If this is still an issue, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no